Loading...
Searching...
No Matches
pcl::detail::Accumulators< PointT > Struct Template Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | type

## Detailed Description

template<typename PointT>
struct pcl::detail::Accumulators< PointT >

Definition at line 230 of file accumulators.hpp.

## Member Typedef Documentation

## type

template<typename PointT>

using pcl::detail::Accumulators< PointT >::type

Initial value:
typename boost::fusion::result_of::as_vector<
typename boost::mpl::filter_view<
boost::mpl::vector<
AccumulatorXYZ
, AccumulatorNormal
, AccumulatorCurvature
, AccumulatorRGBA
, AccumulatorIntensity
, AccumulatorLabel
>
, IsAccumulatorCompatible<PointT>
>
>::type
pcl::detail::AccumulatorCurvature
Definition accumulators.hpp:119
pcl::detail::AccumulatorIntensity
Definition accumulators.hpp:165
pcl::detail::AccumulatorLabel
Definition accumulators.hpp:182
pcl::detail::AccumulatorNormal
Definition accumulators.hpp:88
pcl::detail::AccumulatorRGBA
Definition accumulators.hpp:136
pcl::detail::AccumulatorXYZ
Definition accumulators.hpp:69
pcl::detail::Accumulators::type
typename boost::fusion::result_of::as_vector< typename boost::mpl::filter_view< boost::mpl::vector< AccumulatorXYZ, AccumulatorNormal, AccumulatorCurvature, AccumulatorRGBA, AccumulatorIntensity, AccumulatorLabel >, IsAccumulatorCompatible< PointT > > >::type type
Definition accumulators.hpp:232
pcl::detail::IsAccumulatorCompatible
Definition accumulators.hpp:218

Definition at line 232 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp